Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.tutorial.lesson7
Class PastTutorial

    java.lang.Object
      rice.tutorial.lesson7.PastTutorial

    public class PastTutorial

extends java.lang.Object

This tutorial shows how to use Past.

Author:
  Jeff Hoye, Jim Stewart, Ansley Post

Constructor Summary
`PastTutorial(int bindport, java.net.InetSocketAddress bootaddress, int numNodes, Environment env)` Based on the rice.tutorial.lesson6.ScribeTutorial This constructor launches numNodes PastryNodes.

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: java [-cp FreePastry- .jar] rice.tutorial.lesson4.DistTutorial localbindport bootIP bootPort numNodes example java rice.tutorial.DistTutorial 9001 pokey.cs.almamater.edu 9001 10

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PastTutorial

    public PastTutorial(int bindport,
                        java.net.InetSocketAddress bootaddress,
                        int numNodes,
                        Environment env)
                 throws java.lang.Exception

  Based on the rice.tutorial.lesson6.ScribeTutorial This constructor launches numNodes PastryNodes. They will bootstrap to an existing ring if one exists at the specified location, otherwise it will start a new ring.

  Parameters:
    `bindport` - the local port to bind to
    `bootaddress` - the IP:port of the node to boot from
    `numNodes` - the number of nodes to create in this JVM
    `env` - the Environment
  Throws:
    `java.lang.Exception`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage: java [-cp FreePastry- .jar] rice.tutorial.lesson4.DistTutorial localbindport bootIP bootPort numNodes example java rice.tutorial.DistTutorial 9001 pokey.cs.almamater.edu 9001 10

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.